# Uses of Class
com.opensymphony.sitemesh.webapp.SiteMeshWebAppContext

Packages that use SiteMeshWebAppContext
Package
Description
com.opensymphony.sitemesh.compatability
com.opensymphony.sitemesh.webapp
com.opensymphony.sitemesh.webapp.decorator

## Uses of SiteMeshWebAppContext in com.opensymphony.sitemesh.compatability

Methods in com.opensymphony.sitemesh.compatability with parameters of type SiteMeshWebAppContext
Modifier and Type
Method
Description
`protected void`
OldDecorator2NewDecorator.`render(Content content, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext, SiteMeshWebAppContext webAppContext)`

## Uses of SiteMeshWebAppContext in com.opensymphony.sitemesh.webapp

Fields in com.opensymphony.sitemesh.webapp declared as SiteMeshWebAppContext
Modifier and Type
Field
Description
`private final SiteMeshWebAppContext`
ContentBufferingResponse.`webAppContext`
Methods in com.opensymphony.sitemesh.webapp with parameters of type SiteMeshWebAppContext
Modifier and Type
Method
Description
`protected ContentProcessor`
SiteMeshFilter.`initContentProcessor(SiteMeshWebAppContext webAppContext)`
`protected DecoratorSelector`
SiteMeshFilter.`initDecoratorSelector(SiteMeshWebAppContext webAppContext)`
`private Content`
SiteMeshFilter.`obtainContent(ContentProcessor contentProcessor, SiteMeshWebAppContext webAppContext, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.FilterChain chain)`
Continue in filter-chain, writing all content to buffer and parsing into returned `Page` object.
Constructors in com.opensymphony.sitemesh.webapp with parameters of type SiteMeshWebAppContext
Modifier
Constructor
Description
``
`ContentBufferingResponse(javax.servlet.http.HttpServletResponse response, ContentProcessor contentProcessor, SiteMeshWebAppContext webAppContext)`

## Uses of SiteMeshWebAppContext in com.opensymphony.sitemesh.webapp.decorator

Methods in com.opensymphony.sitemesh.webapp.decorator with parameters of type SiteMeshWebAppContext
Modifier and Type
Method
Description
`protected abstract void`
BaseWebAppDecorator.`render(Content content, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext, SiteMeshWebAppContext webAppContext)`
More convenient version of `BaseWebAppDecorator.render(com.opensymphony.sitemesh.Content, com.opensymphony.sitemesh.SiteMeshContext)` suited for Servlet API calls.
`protected void`
DispatchedDecorator.`render(Content content, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext, SiteMeshWebAppContext webAppContext)`
`protected void`
NoDecorator.`render(Content content, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext, SiteMeshWebAppContext webAppContext)`